%define pkg_name        Class-DBI-Relationship-HasManyOrdered
%define pkg_version     0.03
%define rpm_pkg_version 0.03
%define rpm_pkg_release 2.n0i.3

Summary:       Class::DBI module for Ordered 'Has Many' relationships
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TE/TEEJAY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Class::DBI) >= 0.96}


%description
Class::DBI::Relationship::HasManyOrdered Provides an ordered 'Has Many'
relationship between Class::DBI classes. This relationship enhances the
HasMany relationship already provided in Class::DBI to allow you to quickly
and easily deal with ordered 'One to Many' or 'Many to Many' relationships
without additional handcoding while preserving as much of the original
behaviour and syntax as possible.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.03-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Tue Aug 09 2005 Marius FERARU <altblue@n0i.net> 0.03-1.n0i.2
- version 0.03

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.02-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
